package ru.yandex.autotests.direct.web.api.steps;

import ru.yandex.autotests.direct.web.api.MobileappApi;
import ru.yandex.autotests.direct.web.api.core.DirectWebApiBaseSteps;
import ru.yandex.autotests.direct.web.api.models.MobileContentInfoResponse;
import ru.yandex.qatools.allure.annotations.Step;

public class MobileAppSteps extends DirectWebApiBaseSteps<MobileappApi> {
    public MobileAppSteps() {
        super(MobileappApi.class);
    }

    @Step("Mobile Content: получение данных о приложении")
    public MobileContentInfoResponse getMobileContent(String url, String login) {
        return executeSafe(getOrCreateApiService().getMobileContent(url, login)).body();
    }
}
